### Class

# Soup AuthManager

#### Description [src]

    final class Soup.AuthManager : GObject.Object
      implements Soup.SessionFeature {
      /* No available fields */
    }

HTTP client-side authentication handler.

`SoupAuthManager` is the `SoupSessionFeature` that handles HTTP authentication for a `SoupSession`.

A `SoupAuthManager` is added to the session by default, and normally you don’t need to worry about it at all. However, if you want to disable HTTP authentication, you can remove the feature from the session with `soup_session_remove_feature_by_type()` or disable it on individual requests with `soup_message_disable_feature()`.

You can use this with `soup_session_remove_feature_by_type()` or `soup_message_disable_feature()`.

(Although this type has only been publicly visible since libsoup 2.42, it has always existed in the background, and you can use `g_type_from_name ("SoupAuthManager")` to get its `GType` in earlier releases.).

#### Ancestors

- GObject

#### Implements

- SoupSessionFeature

#### Instance methods

###### soup_auth_manager_clear_cached_credentials

Clear all credentials cached by `manager`.

###### soup_auth_manager_use_auth

Records that `auth` is to be used under `uri`, as though a WWW-Authenticate header had been received at that URI.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SoupAuthManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.